Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519457 - Compute > Infrastructure > Topology shows CloudForms internal tags
Summary: Compute > Infrastructure > Topology shows CloudForms internal tags
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 1526049
TreeView+ depends on / blocked
 
Reported: 2017-11-30 17:59 UTC by Brant Evans
Modified: 2018-06-21 20:45 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1526049 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:45:25 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Brant Evans 2017-11-30 17:59:06 UTC
Description of problem:
The folder_path_blue and folder_path_yellow tags that are managed internally by CloudForms are shown on the Topology page when viewing Tags. This will confuse customers as they are not customer tags, but internal CF tags.

Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1. Add an infrastructure provider
2. Ensure there are one or more VMs in the provider
3. Navigate to Compute > Infrastructure > Topology

Actual results:
folder_path_blue and folder_path_yellow are shown as tags

Expected results:
The folder_path_blue and folder_path_yellow are not shown

Additional info:

Comment 5 CFME Bot 2017-12-13 23:11:44 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/438abad588d47ec2e37028b4c4adca221b556a7f

commit 438abad588d47ec2e37028b4c4adca221b556a7f
Author:     lpichler <lpichler@redhat.com>
AuthorDate: Wed Dec 6 16:36:33 2017 +0100
Commit:     lpichler <lpichler@redhat.com>
CommitDate: Wed Dec 13 11:29:33 2017 +0100

    Add writable_clasification_tags
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1467805
    https://bugzilla.redhat.com/show_bug.cgi?id=1519457

 app/models/classification.rb            |  2 ++
 lib/extensions/ar_taggable.rb           |  4 ++++
 spec/lib/extensions/ar_taggable_spec.rb | 19 +++++++++++++++++++
 3 files changed, 25 insertions(+)

Comment 6 CFME Bot 2017-12-14 10:43:51 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4bf2e3990cc3136e67a2be78b99b19c7fee12a84

commit 4bf2e3990cc3136e67a2be78b99b19c7fee12a84
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Dec 12 13:06:17 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Dec 12 13:06:17 2017 +0100

    Display only manually added my company tags on topology screens
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519457

 app/services/cloud_topology_service.rb          |  6 +++---
 app/services/infra_topology_service.rb          | 12 ++++++------
 app/services/network_topology_service.rb        | 20 ++++++++++----------
 app/services/physical_infra_topology_service.rb |  8 ++++----
 4 files changed, 23 insertions(+), 23 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.